- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QGLBuffer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qglbuffer.h.

`#include <qglbuffer.h>`

List of all members.

## Public Types
enum | Type { VertexBuffer = 0x8892, IndexBuffer = 0x8893, PixelPackBuffer = 0x88EB, PixelUnpackBuffer = 0x88EC }
enum | UsagePattern { StreamDraw = 0x88E0, StreamRead = 0x88E1, StreamCopy = 0x88E2, StaticDraw = 0x88E4, StaticRead = 0x88E5, StaticCopy = 0x88E6, DynamicDraw = 0x88E8, DynamicRead = 0x88E9, DynamicCopy = 0x88EA }
enum | Access { ReadOnly = 0x88B8, WriteOnly = 0x88B9, ReadWrite = 0x88BA }
## Public Member Functions
| QGLBuffer ()
| QGLBuffer (QGLBuffer::Type type)
| QGLBuffer (const QGLBuffer &other)
| ~QGLBuffer ()
QGLBuffer & | operator= (const QGLBuffer &other)
QGLBuffer::Type | type () const
QGLBuffer::UsagePattern | usagePattern () const
void | setUsagePattern (QGLBuffer::UsagePattern value)
bool | create ()
bool | isCreated () const
void | destroy ()
bool | bind ()
void | release ()
GLuint | bufferId () const
int | size () const
bool | read (int offset, void *data, int count)
void | write (int offset, const void *data, int count)
void | allocate (const void *data, int count)
void | allocate (int count)
void * | map (QGLBuffer::Access access)
bool | unmap ()
## Static Public Member Functions
static void | release (QGLBuffer::Type type)

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  VertexBuffer | Search for all occurrences
  IndexBuffer | Search for all occurrences
  PixelPackBuffer | Search for all occurrences
  PixelUnpackBuffer | Search for all occurrences

Definition at line 59 of file qglbuffer.h.

        {
            VertexBuffer        = 0x8892, // GL_ARRAY_BUFFER
            IndexBuffer         = 0x8893, // GL_ELEMENT_ARRAY_BUFFER
            PixelPackBuffer     = 0x88EB, // GL_PIXEL_PACK_BUFFER
            PixelUnpackBuffer   = 0x88EC  // GL_PIXEL_UNPACK_BUFFER
        };

enum UsagePattern

Search for all occurrences

Enumerator:

  StreamDraw | Search for all occurrences
  StreamRead | Search for all occurrences
  StreamCopy | Search for all occurrences
  StaticDraw | Search for all occurrences
  StaticRead | Search for all occurrences
  StaticCopy | Search for all occurrences
  DynamicDraw | Search for all occurrences
  DynamicRead | Search for all occurrences
  DynamicCopy | Search for all occurrences

Definition at line 74 of file qglbuffer.h.

        {
            StreamDraw          = 0x88E0, // GL_STREAM_DRAW
            StreamRead          = 0x88E1, // GL_STREAM_READ
            StreamCopy          = 0x88E2, // GL_STREAM_COPY
            StaticDraw          = 0x88E4, // GL_STATIC_DRAW
            StaticRead          = 0x88E5, // GL_STATIC_READ
            StaticCopy          = 0x88E6, // GL_STATIC_COPY
            DynamicDraw         = 0x88E8, // GL_DYNAMIC_DRAW
            DynamicRead         = 0x88E9, // GL_DYNAMIC_READ
            DynamicCopy         = 0x88EA  // GL_DYNAMIC_COPY
        };

enum Access

Search for all occurrences

Enumerator:

  ReadOnly | Search for all occurrences
  WriteOnly | Search for all occurrences
  ReadWrite | Search for all occurrences

Definition at line 87 of file qglbuffer.h.

        {
            ReadOnly            = 0x88B8, // GL_READ_ONLY
            WriteOnly           = 0x88B9, // GL_WRITE_ONLY
            ReadWrite           = 0x88BA  // GL_READ_WRITE
        };

## Constructor & Destructor Documentation

QGLBuffer | ( |  | ) |

QGLBuffer | ( | QGLBuffer::Type | type | ) | `[explicit]`

QGLBuffer | ( | const QGLBuffer & | other | ) |

~QGLBuffer | ( |  | ) |

## Member Function Documentation

QGLBuffer& operator= | ( | const QGLBuffer & | other | ) |

QGLBuffer::Type type | ( |  | ) | const

Search for all occurrences

QGLBuffer::UsagePattern usagePattern | ( |  | ) | const

Search for all occurrences

void setUsagePattern | ( | QGLBuffer::UsagePattern | value | ) |

Search for all occurrences

bool create | ( |  | ) |

Search for all occurrences

bool isCreated | ( |  | ) | const

Search for all occurrences

void destroy | ( |  | ) |

Search for all occurrences

bool bind | ( |  | ) |

Search for all occurrences

void release | ( |  | ) |

Search for all occurrences

static void release | ( | QGLBuffer::Type | type | ) | `[static]`

Search for all occurrences

GLuint bufferId | ( |  | ) | const

Search for all occurrences

int size | ( |  | ) | const

Search for all occurrences

bool read | ( | int | offset,
|  | void * | data,
|  | int | count
| ) |  |

Search for all occurrences

void write | ( | int | offset,
|  | const void * | data,
|  | int | count
| ) |  |

Search for all occurrences

void allocate | ( | const void * | data,
|  | int | count
| ) |  |

Search for all occurrences

void allocate | ( | int | count | ) | `[inline]`

Search for all occurrences

Definition at line 117 of file qglbuffer.h.

    { allocate(0, count); }

void* map | ( | QGLBuffer::Access | access | ) |

Search for all occurrences

bool unmap | ( |  | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtOpenGL/qglbuffer.h

QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer
QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer QGLBuffer